// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "Engine.h"
#include <boost/log/trivial.hpp>
#include <boost/log/sinks/sync_frontend.hpp>
#include <boost/log/sinks/text_ostream_backend.hpp>

class PDB_viewer : public IModuleInterface
{
private:
	typedef boost::log::sinks::synchronous_sink<boost::log::sinks::text_ostream_backend> text_sink;
	boost::shared_ptr<text_sink> fileLogSink;
	static const char* LOG_FILE_NAME;
public:
	void StartupModule() override;
	void ShutdownModule() override;
	bool IsGameModule() const override;
};