#pragma once

#include <string>
#include <Math/Vector.h>

class AtomColorScheme
{
public:
	virtual ~AtomColorScheme() = default;
	virtual FVector getColorForElement(std::string elementName) = 0;
};

FVector hexColorToVector(int hex);
extern FVector INVALID_COLOR;