# PDB Viewer - an Unreal Engine application for biologists

## How to build

1. Make sure git submodules are initialized:
```
git submodule init
```
2. Make sure git submodules are up to date:
```
git submodule update
cd ThirdParty/Boost
git fetch
git checkout v0.3
git pull
```
3. Open the project with Unreal Engine editor, version 4.13
4. Compile and Play.

## How to develop C++ code

1. Initialize and update git submodules.
2. Open the project with Unreal Engine editor, version 4.13 .
3. Use "Generate Visual Studio Files" option (or "Refresh Visual Studio Project").
4. Use "Open in Visual Studio" option.
5. Do your changes.
6. Either hit "compile" in the UE4 editor or build the project in Visual Studio (but remember to set it to "Windows x64: Development_Editor" target profile).
7. Code should be hot-swapped in the editor by now and ready to go.